Add Bookmark
curl --request POST \
--url https://api.thefaithapp.com/v1/bookmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"devotional_id": 1
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({devotional_id: 1})
};
fetch('https://api.thefaithapp.com/v1/bookmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/bookmarks"
payload = { "devotional_id": 1 }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "Devotional added to bookmarks"
}Engagement
Add Bookmark
Adds a devotional to the authenticated member’s bookmarks.
POST
/
v1
/
bookmarks
Add Bookmark
curl --request POST \
--url https://api.thefaithapp.com/v1/bookmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"devotional_id": 1
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({devotional_id: 1})
};
fetch('https://api.thefaithapp.com/v1/bookmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/bookmarks"
payload = { "devotional_id": 1 }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "Devotional added to bookmarks"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Body
application/json
Devotional ID to add to bookmarks.
Example:
1
Response
Bookmark added successfully.
The response is of type object.
Was this page helpful?